# $Revision: 1.12 $, $Date: 2006/12/13 22:33:06 $
%define		_modname	huffman
%define		_status		stable
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - lossless compression algorithm
Summary(pl):	%{_modname} - bezstratny algorytm kompresji
Name:		php-pecl-%{_modname}
Version:	0.2.0
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	e920b06610fb3b6ad1d79dc910962dc3
URL:		http://pecl.php.net/package/huffman/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Huffman compression belongs into a family of algorithms with a
variable codeword length. That means that individual symbols
(characters in a text file for instance) are replaced by bit sequences
that have a distinct length. So symbols that occur a lot in a file are
given a short sequence while other that are used seldom get a longer
bit sequence.

In PECL status of this extension is: %{_status}.

%description -l pl
Kompresja Huffmana naley do grupy algorytmw o zmiennej dugoci
klucza. To oznacza, e pojedyncze symbole (np. znaki w pliku
tekstowym) s zastpowane sekwencjami bitw o rnej dugoci. W ten
sposb symbole, ktre czsto pojawiaj si w pliku, s zastpowane
krtsz sekwencj, podczas gdy inne, rzadziej uywane, otrzymuj
dusz sekwencj bitow.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-huffman.spec,v $
Revision 1.12  2006/12/13 22:33:06  glen
- rel 6 (php 5.2.0)

Revision 1.11  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.10  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.9  2005/10/30 13:29:27  glen
- rel 4

Revision 1.8  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.7  2005/09/14 20:35:30  glen
- rel 2

Revision 1.6  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.5  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.4  2004/08/28 10:54:51  adamg
- updated to 0.2.0

Revision 1.3  2004/08/26 17:58:59  qboosh
- pl fixes

Revision 1.2  2004/08/25 20:01:19  adamg
- license fix
- pl description

Revision 1.1  2004/08/25 19:57:44  adamg
- new
